### Method

# Gio MenuItem set_submenu

since: 2.32

#### Declaration [src]

    void
    g_menu_item_set_submenu (
      GMenuItem* menu_item,
      GMenuModel* submenu
    )

#### Description [src]

Sets or unsets the “submenu” link of `menu_item` to `submenu`.

If `submenu` is non-`NULL`, it is linked to. If it is `NULL` then the link is unset.

The effect of having one menu appear as a submenu of another is exactly as it sounds.

Available since: 2.32

#### Parameters

`submenu`

  Type: `GMenuModel`

  A `GMenuModel`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.